/*
 * Copyright (c) 2013 Jeff Boody
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 *
 */

#ifndef loax_client_H
#define loax_client_H

#include <net/net_socket.h>
#include "loax/loax_listener.h"

typedef struct
{
	// client state
	net_socket_t*    socket_render;
	loax_listener_t* listener;

	// TODO - GL state
	int   errno;
	char* get_string;
} loax_client_t;

loax_client_t* loax_client_new(void);
void           loax_client_delete(loax_client_t** _self);
int            loax_client_size(loax_client_t* self, int* w, int* h);
int            loax_client_swapbuffers(loax_client_t* self);
int            loax_client_poll(loax_client_t* self, loax_event_t* e);
void           loax_client_cmd(loax_client_t* self, int cmd);

// TODO static seterror
void           loax_client_seterror(loax_client_t* self, int errno);

#endif
